
Dashboard - Bug #52282

Feature # 47497 (Resolved): mgr/dashboard: add visual regression testing

mgr/dashboard: False positives in visual regression tests of dashboard component

08/16/2021 10:26 AM - Aaryan Porwal

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: pacific Pull request ID: 42786

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Description of problem

Currently, we're only ignoring the chart-container CSS selector, which is insufficient as we have other dynamic content on the

dashboard component as well.

A lot of PRs like this have reported false positives due to changing text on the landing page or the 6px top padding on the charts.

I propose we use a different CSS selector, probably of parent class like `card-text`, which covers all the dynamic regions to mitigate

these false positives.

Related issues:

Copied to Dashboard - Backport #52292: pacific: mgr/dashboard: False positive... Resolved

History

#1 - 08/16/2021 10:28 AM - Aaryan Porwal

- Pull request ID set to 42786

#2 - 08/17/2021 09:42 AM - Alfonso Martínez

- Status changed from In Progress to Fix Under Review

- Backport set to pacific

#3 - 08/17/2021 09:50 AM - Aaryan Porwal

- Parent task set to #47497

#4 - 08/17/2021 09:58 AM - Alfonso Martínez

- Status changed from Fix Under Review to Pending Backport

#5 - 08/17/2021 10:00 AM - Backport Bot

- Copied to Backport #52292: pacific: mgr/dashboard: False positives in visual regression tests of dashboard component added

#6 - 10/18/2021 03:09 PM - Ernesto Puerta

- Status changed from Pending Backport to Resolved
